GNU bug report logs - #6464
emacs-lisp/trace.el needs a `trace-package' function

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Dan Nicolaescu <dann@HIDDEN>; Keywords: patch; merged with #1343, #27397; dated Sat, 19 Jun 2010 06:47:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 1343 6464 27397. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 1343 6464. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jun 2010 06:46:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 19 02:46:43 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OPrpD-0002a8-Mn
	for submit <at> debbugs.gnu.org; Sat, 19 Jun 2010 02:46:43 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1OPrpB-0002a2-Mu
	for submit <at> debbugs.gnu.org; Sat, 19 Jun 2010 02:46:42 -0400
Received: from lists.gnu.org ([199.232.76.165]:51652)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <dann@HIDDEN>) id 1OPrp8-00084Y-Hk
	for submit <at> debbugs.gnu.org; Sat, 19 Jun 2010 02:46:38 -0400
Received: from [199.232.76.173] (port=44176 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OPrp7-0004RH-W4
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jun 2010 02:46:38 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <dann@HIDDEN>) id 1OPrp7-00084S-6Y
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jun 2010 02:46:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=AWL autolearn=ham 
	version=3.1.0
Received: from fencepost.gnu.org ([140.186.70.10]:59762)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <dann@HIDDEN>) id 1OPrp7-00084O-14
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jun 2010 02:46:37 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1OPrp6-0001Go-LB
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jun 2010 02:46:36 -0400
To: bug-gnu-emacs@HIDDEN
Subject: emacs-lisp/trace.el needs a `trace-package' function
From: Dan Nicolaescu <dann@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Sat, 19 Jun 2010 02:46:36 -0400
Message-ID: <yxqsk4j8qpf.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)


emacs-lisp/elp.el provides `elp-instrument-package',
emacs-lisp/trace.el does not provide similar functionality.

It is sometimes useful to trace a whole package, so a function like
`trace-package' would be very handy.




Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6464; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Jun 2017 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.